Bug 413087

Summary: lockscreen broken when mediacontrols active
Product: [Plasma] kscreenlocker Reporter: kolorafa <kde_org>
Component: greeterAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: crash CC: bhush94, filipfila.kde, kde, kde, lopez.valnoel, nate, nuclearjoker, psychonaut, r.rozne, sasori.nami
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Archlinux   
OS: Linux   
Latest Commit: Version Fixed In: 5.17.3

Description kolorafa 2019-10-17 13:20:37 UTC
SUMMARY


STEPS TO REPRODUCE
1. Start a media player that works with the latest breaking changes in mpros (audacious) - play music or have i in pause
2. wait for screen to lock or just META+L to lock 

OBSERVED RESULT
only background is showing, while moving mouse or clicking buttons nothing happens, and showing in log every few seconds:

kernel: kscreenlocker_g[8010]: segfault at 7ffe586a6fd0 ip 00007f7eff625558 sp 00007ffe586a6fa0 error 6 in libQt5Gui.so.5.13.1[7f7eff2b4000+414000]
kernel: Code: e5 40 e9 6b ff ff ff 90 66 2e 0f 1f 84 00 00 00 00 00 41 57 41 56 41 55 41 54 55 53 48 89 fb 48 81 ec c8 38 00 00 48 8b 6f 10 <48> 89 74 24 30 64 48 8b 04 25 28 >
kernel: audit: type=1701 audit(1571316489.797:178): auid=1000 uid=1000 gid=100 ses=3 pid=8010 comm="kscreenlocker_g" exe="/usr/lib/kscreenlocker_greet" sig=11 res=1

If I stop the playback or close the player (so the media icon disapear from tray) then it works (as media controls doesn't show on lock screen).


EXPECTED RESULT
show gui to login :)

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Arch (old Antergos)
KDE Plasma Version: 5.17.0
KDE Frameworks Version: 
Qt Version: 5.13.1

kde4-config -v
Qt: 4.8.7
KDE Development Platform: 4.14.38

ADDITIONAL INFORMATION
Comment 1 sasori.nami 2019-10-19 16:56:51 UTC
I'm having the same problem, with a core dump of kscreenlocker at the end (I woke up this morning to find the "Screen locker is broken..." message). Anyway, here are more info and my own conclusions at the end.

The following tests were made with plasma 5.16.5 on a Manjaro system with the BreezeDark screen locker and VLC with a media loaded (playing or paused). It does the same with Clementine or other media players.

Output of /usr/lib/kscreenlocker_greet --testing
/usr/lib/kscreenlocker_greet --testing
OpenGL vendor string:                   Intel Open Source Technology Center
OpenGL renderer string:                 Mesa DRI Intel(R) Haswell Desktop 
OpenGL version string:                  3.0 Mesa 19.2.1
OpenGL shading language version string: 1.30
Driver:                                 Intel
GPU class:                              Haswell
OpenGL version:                         3.0
GLSL version:                           1.30
Mesa version:                           19.2.1
Linux kernel version:                   5.3.6
Requires strict binding:                yes
GLSL shaders:                           yes
Texture NPOT support:                   yes
Virtual Machine:                        no
file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:59: TypeError: Property 'setAction' of object ScreenLocker::WallpaperIntegration(0x5583239e9090) is not a function
file:///usr/share/plasma/wallpapers/org.kde.slideshow/contents/ui/main.qml:59: TypeError: Property 'setAction' of object ScreenLocker::WallpaperIntegration(0x5583239e9090) is not a function
Locked at 1571501528
UdevQt: unable to create udev monitor connection
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/SessionManagementScreen.qml:64:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/ActionButton.qml:33:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/KeyboardLayoutButton.qml:29:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/Battery.qml:48:9: Unable to assign [undefined] to double
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/SessionManagementScreen.qml:64:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/ActionButton.qml:33:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/KeyboardLayoutButton.qml:29:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/Battery.qml:48:9: Unable to assign [undefined] to double
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/UserDelegate.qml:41:5: Unable to assign [undefined] to int
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/components/UserDelegate.qml:41:5: Unable to assign [undefined] to int
QXcbClipboard: SelectionRequest too old
QXcbClipboard: SelectionRequest too old
QXcbClipboard: SelectionRequest too old
QXcbClipboard: SelectionRequest too old
QXcbClipboard: SelectionRequest too old
QXcbClipboard: SelectionRequest too old
file:///usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/lockscreen/MediaControls.qml:96:9: QML Image: Binding loop detected for property "sourceSize"  # This is repeated a *lot* of times (so much I couldn't copy-paste it all, my computer started to panic)
Segmentation fault (core dumped)


Output of journalctl -r after the core dump
oct. 19 18:12:13 spike-manjaro systemd-coredump[14640]: Process 14618 (kscreenlocker_g) of user 1000 dumped core.
                                                        
                                                        Stack trace of thread 14618:
                                                        #0  0x00007f769c8d0330 __vfprintf_internal (libc.so.6)
                                                        #1  0x00007f769c8d3586 buffered_vfprintf (libc.so.6)
                                                        #2  0x00007f769c8d0724 __vfprintf_internal (libc.so.6)
                                                        #3  0x00007f769c8bd19a fprintf (libc.so.6)
                                                        #4  0x00007f769ccd5557 n/a (libQt5Core.so.5)
                                                        #5  0x00007f769ccd1031 n/a (libQt5Core.so.5)
                                                        #6  0x00007f769ccd25fd _Z17qt_message_output9QtMsgTypeRK18QMessageLogContextRK7QString (libQt5Core.so.5)
                                                        #7  0x00007f769cdc4911 _ZN6QDebugD1Ev (libQt5Core.so.5)
                                                        #8  0x00007f769db474b3 n/a (libQt5Qml.so.5)
                                                        #9  0x00007f769db477a1 n/a (libQt5Qml.so.5)
                                                        #10 0x00007f769db9c74f _ZN8QQmlInfoD1Ev (libQt5Qml.so.5)
                                                        #11 0x00007f769dbcc184 _ZN19QQmlAbstractBinding21printBindingLoopErrorER12QQmlProperty (libQt5Qml.so.5)
                                                        #12 0x00007f769dbd1a10 _ZN11QQmlBinding6updateE6QFlagsIN16QQmlPropertyData9WriteFlagEE (libQt5Qml.so.5)
                                                        #13 0x00007f769dbad43e _ZN12QQmlNotifier10emitNotifyEP20QQmlNotifierEndpointPPv (libQt5Qml.so.5)
                                                        #14 0x00007f769db4a4ff _ZN8QQmlData13signalEmittedEP24QAbstractDeclarativeDataP7QObjectiPPv (libQt5Qml.so.5)
                                                        #15 0x00007f769ced32eb _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                                                        #16 0x00007f769dfa6fde _ZN10QQuickItem15geometryChangedERK6QRectFS2_ (libQt5Quick.so.5)
                                                        #17 0x00007f769e046683 _ZN11QQuickImage15geometryChangedERK6QRectFS2_ (libQt5Quick.so.5)
                                                        #18 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #19 0x00007f769e045441 _ZN11QQuickImage21updatePaintedGeometryEv (libQt5Quick.so.5)
                                                        #20 0x00007f769e0468f5 _ZN11QQuickImage12pixmapChangeEv (libQt5Quick.so.5)
                                                        #21 0x00007f769e044af0 _ZN15QQuickImageBase15requestFinishedEv (libQt5Quick.so.5)
                                                        #22 0x00007f769e04485d _ZN15QQuickImageBase4loadEv (libQt5Quick.so.5)
                                                        #23 0x00007f769e044121 n/a (libQt5Quick.so.5)
                                                        #24 0x00007f769db5f4c1 n/a (libQt5Qml.so.5)
                                                        #25 0x00007f769db5cd56 _ZN19QQmlPropertyPrivate5writeEP7QObjectRK16QQmlPropertyDataRK8QVariantP15QQmlContextData6QFlagsINS2_9WriteFlagEE (libQt5Qml.so.5)
                                                        #26 0x00007f769dbd26e5 _ZN11QQmlBinding9slowWriteERK16QQmlPropertyDataS2_RKN3QV45ValueEb6QFlagsINS0_9WriteFlagEE (libQt5Qml.so.5)
                                                        #27 0x00007f769dbd3861 n/a (libQt5Qml.so.5)
                                                        #28 0x00007f769dbd4c5d n/a (libQt5Qml.so.5)
                                                        #29 0x00007f769dbd13a4 _ZN11QQmlBinding6updateE6QFlagsIN16QQmlPropertyData9WriteFlagEE (libQt5Qml.so.5)
                                                        #30 0x00007f769dbad43e _ZN12QQmlNotifier10emitNotifyEP20QQmlNotifierEndpointPPv (libQt5Qml.so.5)
                                                        #31 0x00007f769db4a4ff _ZN8QQmlData13signalEmittedEP24QAbstractDeclarativeDataP7QObjectiPPv (libQt5Qml.so.5)
                                                        #32 0x00007f769ced32eb _ZN11QMetaObject8activateEP7QObjectiiPPv (libQt5Core.so.5)
                                                        #33 0x00007f769dfa6fde _ZN10QQuickItem15geometryChangedERK6QRectFS2_ (libQt5Quick.so.5)
                                                        #34 0x00007f769e046683 _ZN11QQuickImage15geometryChangedERK6QRectFS2_ (libQt5Quick.so.5)
                                                        #35 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #36 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #37 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #38 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #39 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #40 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #41 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #42 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #43 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #44 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #45 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #46 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #47 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #48 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #49 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #50 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #51 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #52 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #53 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #54 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #55 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #56 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #57 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #58 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #59 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #60 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #61 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #62 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        #63 0x00007f769dfa08e3 _ZN10QQuickItem15setImplicitSizeEdd (libQt5Quick.so.5)
                                                        
                                                        Stack trace of thread 14631:
                                                        #0  0x00007f769c95fe9d syscall (libc.so.6)
                                                        #1  0x00007f769ccdb972 _ZN10QSemaphore7acquireEi (libQt5Core.so.5)
                                                        #2  0x00007f7695af8e3a n/a (libQt5HunspellInputMethod.so.5)
                                                        #3  0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #4  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #5  0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14632:
                                                        #0  0x00007f769bf71c45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f769ccdf660 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                        #2  0x00007f769ccdf752 _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                        #3  0x00007f767732ec90 n/a (libqmlfolderlistmodelplugin.so)
                                                        #4  0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #5  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #6  0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14621:
                                                        #0  0x00007f769bf71c45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f76949ec4fc n/a (i965_dri.so)
                                                        #2  0x00007f76949ec0f8 n/a (i965_dri.so)
                                                        #3  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #4  0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14626:
                                                        #0  0x00007f769bf71c45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f769ccdf660 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                        #2  0x00007f769ccdf752 _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                        #3  0x00007f769df67dad n/a (libQt5Quick.so.5)
                                                        #4  0x00007f769df6805e n/a (libQt5Quick.so.5)
                                                        #5  0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #6  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #7  0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14622:
                                                        #0  0x00007f769c95a9ef __poll (libc.so.6)
                                                        #1  0x00007f769acf4180 n/a (libglib-2.0.so.0)
                                                        #2  0x00007f769acf4251 g_main_context_iteration (libglib-2.0.so.0)
                                                        #3  0x00007f769ceffa03 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                                                        #4  0x00007f769cea64ec _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                                                        #5  0x00007f769ccd8385 _ZN7QThread4execEv (libQt5Core.so.5)
                                                        #6  0x00007f769e283b37 n/a (libQt5DBus.so.5)
                                                        #7  0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #8  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #9  0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14619:
                                                        #0  0x00007f769c95a9ef __poll (libc.so.6)
                                                        #1  0x00007f769c848630 n/a (libxcb.so.1)
                                                        #2  0x00007f769c84a2db xcb_wait_for_event (libxcb.so.1)
                                                        #3  0x00007f7697e1f101 n/a (libQt5XcbQpa.so.5)
                                                        #4  0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #5  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #6  0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14635:
                                                        #0  0x00007f768c515286 n/a (libjpeg.so.8)
                                                        #1  0x00007f768c50ceaf n/a (libjpeg.so.8)
                                                        #2  0x00007f768c517a7e n/a (libjpeg.so.8)
                                                        #3  0x00007f768c50b479 jpeg_read_scanlines (libjpeg.so.8)
                                                        #4  0x00007f768c62295b n/a (libqjpeg.so)
                                                        #5  0x00007f768c624108 n/a (libqjpeg.so)
                                                        #6  0x00007f769d2b18ab _ZN12QImageReader4readEP6QImage (libQt5Gui.so.5)
                                                        #7  0x00007f769ded8948 n/a (libQt5Quick.so.5)
                                                        #8  0x00007f769deda080 n/a (libQt5Quick.so.5)
                                                        #9  0x00007f769dedc4c8 n/a (libQt5Quick.so.5)
                                                        #10 0x00007f769dedc65d n/a (libQt5Quick.so.5)
                                                        #11 0x00007f769cea79c2 _ZN16QCoreApplication15notifyInternal2EP7QObjectP6QEvent (libQt5Core.so.5)
                                                        #12 0x00007f769ceaa739 _ZN23QCoreApplicationPrivate16sendPostedEventsEP7QObjectiP11QThreadData (libQt5Core.so.5)
                                                        #13 0x00007f769cf00404 n/a (libQt5Core.so.5)
                                                        #14 0x00007f769acf23fe g_main_context_dispatch (libglib-2.0.so.0)
                                                        #15 0x00007f769acf4211 n/a (libglib-2.0.so.0)
                                                        #16 0x00007f769acf4251 g_main_context_iteration (libglib-2.0.so.0)
                                                        #17 0x00007f769ceffa03 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                                                        #18 0x00007f769cea64ec _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                                                        #19 0x00007f769ccd8385 _ZN7QThread4execEv (libQt5Core.so.5)
                                                        #20 0x00007f769dedc6eb n/a (libQt5Quick.so.5)
                                                        #21 0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #22 0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #23 0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14629:
                                                        #0  0x00007f769bf71c45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f769ccdf660 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                        #2  0x00007f769ccdf752 _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                        #3  0x00007f769df67dad n/a (libQt5Quick.so.5)
                                                        #4  0x00007f769df6805e n/a (libQt5Quick.so.5)
                                                        #5  0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #6  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #7  0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14633:
                                                        #0  0x00007f769c95fe9d syscall (libc.so.6)
                                                        #1  0x00007f769ccdb972 _ZN10QSemaphore7acquireEi (libQt5Core.so.5)
                                                        #2  0x00007f7695af8e3a n/a (libQt5HunspellInputMethod.so.5)
                                                        #3  0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #4  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #5  0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14623:
                                                        #0  0x00007f769c95a9ef __poll (libc.so.6)
                                                        #1  0x00007f769acf4180 n/a (libglib-2.0.so.0)
                                                        #2  0x00007f769acf4251 g_main_context_iteration (libglib-2.0.so.0)
                                                        #3  0x00007f769ceffa03 _ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE (libQt5Core.so.5)
                                                        #4  0x00007f769cea64ec _ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE (libQt5Core.so.5)
                                                        #5  0x00007f769ccd8385 _ZN7QThread4execEv (libQt5Core.so.5)
                                                        #6  0x00007f769dbfe849 n/a (libQt5Qml.so.5)
                                                        #7  0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #8  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #9  0x00007f769c9652d3 __clone (libc.so.6)
                                                        
                                                        Stack trace of thread 14634:
                                                        #0  0x00007f769bf71c45 pthread_cond_wait@@GLIBC_2.3.2 (libpthread.so.0)
                                                        #1  0x00007f769ccdf660 _ZN14QWaitCondition4waitEP6QMutex14QDeadlineTimer (libQt5Core.so.5)
                                                        #2  0x00007f769ccdf752 _ZN14QWaitCondition4waitEP6QMutexm (libQt5Core.so.5)
                                                        #3  0x00007f767732ec90 n/a (libqmlfolderlistmodelplugin.so)
                                                        #4  0x00007f769ccd95b0 n/a (libQt5Core.so.5)
                                                        #5  0x00007f769bf6b4cf start_thread (libpthread.so.0)
                                                        #6  0x00007f769c9652d3 __clone (libc.so.6)

From what I could understand the core dump is caused by the failed attempt to resize the media image for the lock screen. I have identified this commit as the issue: https://github.com/KDE/plasma-workspace/commit/953f72e42f6c30ff951570ca53bc3c7a859aa5bc.
As a further test, I removed the committed line from /usr/share/plasma/look-and-feel/org.kde.breeze.desktop/contents/lockscreen/MediaControls.qml and the problem disappeared.
Comment 2 Kai Uwe Broulik 2019-10-22 08:37:52 UTC
Thanks for your investigation. Does it happen with any player and any music file or do you need to play a specific file (presumably one with non-square album art)?
Comment 3 r.rozne 2019-10-27 16:17:16 UTC
Can reproduce with Rhythmbox and songs with square album art.
Logs get hammered with the binding loop message and segfaults thrice.
Commenting out the line in question causes everything to work fine.

OpenSUSE Tumbleweed 20191023
Linux 5.3.6
KDE Plasma 5.17.0
KDE Frameworks 5.63.0
Qt 5.13.1
Mesa 19.1.7
Comment 4 sasori.nami 2019-10-27 19:52:04 UTC
Hi, sorry for not following through. I've been busy. I just tried with a 500x500 cover, with the line restored in my file. It didn't crash, but the lock screen took a long time to display (staying black for at least 20s), then displayed properly. Logs were filled with the loop warning, but no core dump.

Manjaro (Arch) on kernel 5.3.6-1
Plasma 5.16.5
Clementine 1.3.1-771
Comment 5 sasori.nami 2019-10-27 19:55:43 UTC
PS: I've been working since 2019-10-19 with the line commented and can confirm that I didn't have the problem once in that time.
Comment 6 Jacques W 2019-11-06 22:39:50 UTC
(In reply to sasori.nami from comment #5)
> PS: I've been working since 2019-10-19 with the line commented and can
> confirm that I didn't have the problem once in that time.

I got the exact same problem. Best way to reproduce is just use /usr/lib/kscreenlocker_greet --testing command to test. With the line commented out screen locking works again :-)
Comment 7 Jacques W 2019-11-06 22:52:23 UTC
(In reply to Jacques W from comment #6)
> (In reply to sasori.nami from comment #5)
> > PS: I've been working since 2019-10-19 with the line commented and can
> > confirm that I didn't have the problem once in that time.
> 
> I got the exact same problem. Best way to reproduce is just use
> /usr/lib/kscreenlocker_greet --testing command to test. With the line
> commented out screen locking works again :-)

I use:
Mellowplayer
Linux  5.3.8-3
Plasma 5.17.2
KDE Frameworks 5.63.0
Comment 8 Filip Fila 2019-11-08 12:14:21 UTC
I made that patch but I can't reproduce this. I'm also using Audacious from git. Tested with both squared and non squared album art. The lock screen shows up immediately and everything works. I don't get any binding loops either.

Operating System: Manjaro Linux 
KDE Plasma Version: 5.17.2
KDE Frameworks Version: 5.63.0
Qt Version: 5.13.1
Comment 9 Filip Fila 2019-11-08 15:05:42 UTC
Just an idea but can those of you that can reproduce the bug restore the 'fillMode: Image.PreserveAspectFit' line and then change the sourceSize line to be:

sourceSize: Qt.size(paintedWidth, paintedHeight)

and then test with /usr/lib/kscreenlocker_greet --testing
Comment 10 sasori.nami 2019-11-08 18:06:41 UTC
(In reply to Filip Fila from comment #9)
> Just an idea but can those of you that can reproduce the bug restore the
> 'fillMode: Image.PreserveAspectFit' line and then change the sourceSize line
> to be:
> 
> sourceSize: Qt.size(paintedWidth, paintedHeight)
> 
> and then test with /usr/lib/kscreenlocker_greet --testing

Hi Filip, thanks for looking into it. I've just tested your proposed fix and I'm glad to report that it works on my system. Tested with square and non-square (3:1 ratio) cover arts. No more core dumps, no more binding loops.

Manjaro (Arch) on kernel 5.3.6-1
Plasma 5.16.5
Clementine 1.3.1-771
Comment 11 David Edmundson 2019-11-08 18:34:43 UTC
Opened the file, one thing jumps out.

    implicitHeight: controlsRow.height + controlsRow.y


Regardless of whether this causes the bug, this needs fixing.

An implicitHeight should never depend on a current height as that's a loop

An implicit size should only propagate an implicit size upwards.
Comment 12 sasori.nami 2019-11-08 18:59:26 UTC
(In reply to David Edmundson from comment #11)
> Opened the file, one thing jumps out.
> 
>     implicitHeight: controlsRow.height + controlsRow.y
> 
> 
> Regardless of whether this causes the bug, this needs fixing.
> 
> An implicitHeight should never depend on a current height as that's a loop
> 
> An implicit size should only propagate an implicit size upwards.

Thanks for the feedback David. Could you give the fix for this line, please? I'm not a kde dev and my knowledge of Qt is very limited, but given the fixed line, I could test and report if it is a fix for this bug or not.
Comment 13 Val L. 2019-11-09 19:51:51 UTC
Just wanted to chime in after encountering this very issue myself.

OS: Manjaro 18.1.2 Juhraya
Kernel: x86_64 Linux 5.3.8-3-MANJARO
CPU: Intel Core i7-9750H
Qt Version 5.13.1
Plasma Version 5.17.2
Player: Strawberry Version 0.6.5

Initially I wasn't seeing this crash but I realized media controls were turned off in Screen Locking in my settings at that time.
So I had a track in pause then I left my PC for a bit until in auto-locked itself then the segfault happened.

I can also confirm that commenting out "fillMode: Image.PreserveAspectFit" or using "sourceSize: Qt.size(paintedWidth, paintedHeight)" fixes the issue.
Comment 14 David Edmundson 2019-11-11 16:40:49 UTC
Git commit 419b9708ee9e36c4d5825ff6f58ca71f61d32d83 by David Edmundson.
Committed on 11/11/2019 at 16:40.
Pushed by davidedmundson into branch 'Plasma/5.17'.

Fix binding loop in lockscreen media controls

Summary:
When we load and position the Image the height is constrained, the width
is not. The image fillMode is set as  PreserveAspectFit so the width
will adjust to fit the aspect ratio,

Therefore we only want to set a fixed height on the sourceSize, it will
automatically match the resultant width.
FIXED-IN: 5.17.3

Test Plan:
I was unable to reproduce the state.
Patch is based on reading the code and docs

Reviewers: #plasma, broulik, ngraham

Reviewed By: #plasma, broulik, ngraham

Subscribers: broulik, filipf, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D25252

M  +1    -1    lookandfeel/contents/lockscreen/MediaControls.qml

https://commits.kde.org/plasma-workspace/419b9708ee9e36c4d5825ff6f58ca71f61d32d83
Comment 15 sasori.nami 2019-11-11 17:13:26 UTC
(In reply to David Edmundson from comment #14)
> Git commit 419b9708ee9e36c4d5825ff6f58ca71f61d32d83 by David Edmundson.
> Committed on 11/11/2019 at 16:40.
> Pushed by davidedmundson into branch 'Plasma/5.17'.
> 
> Fix binding loop in lockscreen media controls
> 
> Summary:
> When we load and position the Image the height is constrained, the width
> is not. The image fillMode is set as  PreserveAspectFit so the width
> will adjust to fit the aspect ratio,
> 
> Therefore we only want to set a fixed height on the sourceSize, it will
> automatically match the resultant width.
> FIXED-IN: 5.17.3
> 
> Test Plan:
> I was unable to reproduce the state.
> Patch is based on reading the code and docs
> 
> Reviewers: #plasma, broulik, ngraham
> 
> Reviewed By: #plasma, broulik, ngraham
> 
> Subscribers: broulik, filipf, plasma-devel
> 
> Tags: #plasma
> 
> Differential Revision: https://phabricator.kde.org/D25252
> 
> M  +1    -1    lookandfeel/contents/lockscreen/MediaControls.qml
> 
> https://commits.kde.org/plasma-workspace/
> 419b9708ee9e36c4d5825ff6f58ca71f61d32d83

Tested the fix locally using the method already talked about. I can confirm the patch works. Thanks David :)
Comment 16 r.rozne 2019-11-11 17:27:15 UTC
All good on my side, too.
Tested with the same songs that broke the lock screen.